# $FreeBSD: head/Mk/bsd.options.desc.mk 302544 2012-08-15 00:10:00Z bdrewery $
#
# READ BEFORE EDITING:
# - Please keep descriptions sorted alphabetically by variable name.
#
# - Please respect these limits or the dialog options wrap or get cutoff
#  - OPTNAME_DESC?= must be 19 characters or less
#  - OPTION description text must be 43 characters or less
#

Options_Desc_MAINTAINER=	ports@FreeBSD.org

# OPTION_DESC:		 Description:
#  Length         |	|                   Length                |
#
A52_DESC?=		AC-3 support using liba52
AAC_DESC?=		AAC/MP4 support
AACPLUS_DESC?=		aac support using libaacplus
AALIB_DESC?=		Aalib support
ALSA_DESC?=		Alsa audio support
AMR_DESC?=		openCORE AMR 3GPP Speech Codecs
AMR_NB_DESC?=		AMR Narrow Band audio support (opencore)
AMR_WB_DESC?=		AMR Wide Band audio support (opencore)
AO_DESC?=		Support libao audio library
APACHE_DESC?=		Apache server
APE_DESC?=		Monkey's Audio support
ARCHIVE_DESC?=		Support bzip2/zip/iso9660 archive
ARTS_DESC?=		Arts audio system support
ASM_DESC?=		Use optimized assembly code
ASPELL_DESC?=		Spell checking via Aspell
ASSERT_DESC?=		Debug assertions
AVAHI_DESC?=		Support Zeroconf through Avahi
BDB_DESC?=		Berkeley DB support
BDB1_DESC?=		Berkeley DB 1.85 support
BOOST_DESC?=		Boost support
BZIP2_DESC?=		bzip2 compression support
CACA_DESC?=		libcaca support
CAIRO_DESC?=		Cairo graphic library support
CARES_DESC?=		Asynchronous DNS resolution via c-ares
CDDA2WAV_DESC?=		cdda2wav CD ripper
CDDB_DESC?=		CDDB support
CDIO_DESC?=		CDIO support using libcdio
CDPARANOIA_DESC?=	cdparanoia CD ripper
CELT_DESC?=		CELT audio codec support
CFITSIO_DESC?=		FITS support via CFITSIO
COMPOSITE_DESC?=	X11 Composite extension
CUE_DESC?=		Support embedded cue sheets
CUPS_DESC?=		CUPS printing support
CURL_DESC?=		cURL support
DAGRAB_DESC?=		dagrab CD ripper
DATA_DESC?=		Install data files
DBM_DESC?=		DBM support
DBUS_DESC?=		D-Bus support
DCA_DESC?=		DTS support using libdca
DCRAW_DESC?=		dcraw support
DEBUG_DESC?=		Install debug symbols
DEVD_DESC?=		Install devd files
DIRAC_DESC?=		Dirac support using libdirac
DOCS_DESC?=		Build and install the documentation
DOXYGEN_DESC?=		Build documentation with doxygen
DV_DESC?=		libDV support
DVDCSS_DESC?=		libdvdcss support
ECW_DESC?=		ECW support
ESOUND_DESC?=		Esound sound server support
EXAMPLES_DESC?=		Build and install the examples
EXPAT_DESC?=		Expat support
FAAC_DESC?=		FAAC encoder support
FAAD_DESC?=		FAAD aac decoder support
FAM_DESC?=		File Alteration Monitor support
FASTCGI_DESC?=		FastCGI support
FFMPEG_DESC?=		Support FFMPEG (wma aiff ac3 ape...)
FFTW_DESC?=		Discrete Fourier Transform support
FLAC_DESC?=		FLAC support
FONTCONFIG_DESC?=	Font configuration API for X
FPECTL_DESC?=		floating point exception handling
FPX_DESC?=		Flashpix support
FREETDS_DESC?=		FreeTDS support
FREETYPE_DESC?=		TrueType font rendering engine
FREI0R_DESC?=		Frei0r video plugins support
FUSE_DESC?=		Fuse support
GCONF_DESC?=		gconf backend
GD_DESC?=		gd (graphics library) support
GDBM_DESC?=		GNU dbm support
GDM_DESC?=		Build GDM login manager
GEOIP_DESC?=		GeoIP support
GEOS_DESC?=		GEOS support
GEOTIFF_DESC?=		GeoTIFF support
GGI_DESC?=		General Graphics Interface support
GIF_DESC?=		GIF support
GLADE_DESC?=		Glade interface support
GMP_DESC?=		GMP support
GNOME_DESC?=		GNOME Desktop support
GNOMEVFS2_DESC?=	GnomeVFS2 support
GNUPG_DESC?=		GNU Privacy Guard support
GNUPLOT_DESC?=		Plotting using gnuplot
GNUTLS_DESC?=		SSL/TLS support via GnuTLS
GOGO_DESC?=		gogo mp3 encoder
GPERFTOOLS_DESC?=	Google gperftools support
GRAPHMAGICK_DESC?=	GraphicsMagick support
GRAPHVIZ_DESC?=		Graphviz support
GRASS_DESC?=		GRASS support
GSM_DESC?=		GSM codec support
GSSAPI_DESC?=		GSSAPI support
GSTREAMER_DESC?=	Multimedia support
GTK1_DESC?=		GTK1 gui toolkit support
GTK2_DESC?=		GTK2 gui toolkit support
GTK3_DESC?=		GTK3 gui toolkit support
GUI_DESC?=		GUI support
GUILE_DESC?=		Guile support
GVFS_DESC?=		Remote access support
H323_DESC?=		H323 support
HAL_DESC?=		HAL (Hardware Abstraction Layer) support
HDF5_DESC?=		HDF-5 support
HTTPD_DESC?=		Support for httpd output streaming
ICONS_DESC?=		Icons theme
ICONV_DESC?=		ICONV support
ID3_DESC?=		ID3 tags support
ID3TAG_DESC?=		Support ID3 v1/v2 tags
IDN_DESC?=		International Domain Names support
IMAGEMAGICK_DESC?=	ImageMagick support
IMLIB_DESC?=		imlib image library support
IMLIB2_DESC?=		imlib2 image library support
IODBC_DESC?=		ODBC backend via iODBC
IPV6_DESC?=		IPv6 support
JABBER_DESC?=		Jabber support
JACK_DESC?=		Support JACK audio server
JASPER_DESC?=		JPEG 2000 support via JasPer
JAVA_DESC?=		JAVA platform support
JBIG_DESC?=		JBIG support
JHEAD_DESC?=		jhead support
JPEG_DESC?=		JPEG support
KDE3_DESC?=		KDE3 Desktop support
KDE4_DESC?=		KDE4 Desktop support
KERBEROS_DESC?=		Kerberos support
KERBEROS4_DESC?=	Kerberos 4 support
KERBEROS5_DESC?=	Kerberos 5 support
KML_DESC?=		KML support
LADSPA_DESC?=		LADSPA audio plugins support
LAME_DESC?=		lame mp3 encoder support
LASH_DESC?=		LASH audio support
LASTFM_DESC?=		Support Last.FM stream input
LATEX_DESC?=		LaTeX support
LCMS2_DESC?=		LCMS2 support
LDAP_DESC?=		LDAP support
LDAPS_DESC?=		LDAPS support
LFS_DESC?=		Large Files Support
LIBBLURAY_DESC?=	libbluray support
LIBEDIT_DESC?=		readline support
LIBEV_DESC?=		libev support
LIBEXIF_DESC?=		libexif support
LIBEXTRACTOR_DESC?=	libextractor support
LIBMNG_DESC?=		libmng support
LIBPAPER_DESC?=		libpaper support
LIBRSVG2_DESC?=		librsvg-2 support
LIBVISUAL_DESC?=	libvisual support
LIBWMF_DESC?=		libwmf support
LIBWRAP_DESC?=		TCP wrapper support
LIBXINE_DESC?=		linxine support
LIGHTTPD_DESC?=		Lighttpd server
LIRC_DESC?=		LIRC support
LITE_DESC?=		Reduced features and memory
LQR_DESC?=		Liquid Rescale support
LUA_DESC?=		LUA support
LZMA_DESC?=		LZMA compression support
MAD_DESC?=		Mad mp3 decoder support
MAGICK_DESC?=		ImageMagick Library
MANPAGES_DESC?=		Build and install man pages
MAPSERVER_DESC?=	Mapserver support
MDNSRESPONDER_DESC?=	Support Zeroconf through mDNSResponder
MIKMOD_DESC?=		Support MOD audio format
MIXER_DESC?=		Mixer support
MJPEGTOOLS_DESC?=	mjpegtools support
MMKEYS_DESC?=		Multimedia keys support
MMS_DESC?=		Support MMS stream input
MMX_DESC?=		MMX optimized routines
MODPERL_DESC?=		mod_perl support
MODPLUG_DESC?=		Support MODPLUG decoder
MOTIF_DESC?=		Motif widget library
MP3_DESC?=		MP3 support
MP4_DESC?=		MP4 support
MPEG2_DESC?=		MPEG2 support via libmpeg2
MPG123_DESC?=		MPG123 support
MPLAYER_DESC?=		MPlayer support
MPLS_DESC?=		MPLS support
MPP_DESC?=		Musepack support
MSQL_DESC?=		mSQL backend
MTP_DESC?=		MTP device support
MULTIBYTE_DESC?=	multibyte character support
MUSEPACK_DESC?=		Support MPC audio format
MYSQL_DESC?=		MySQL backend
MYSQL_JDBC_DESC?=	JDBC connection to MySQL databases
NAS_DESC?=		Network Audio System support
NETCDF_DESC?=		NetCDF support
NETPBM_DESC?=		netpbm support
NLS_DESC?=		Native Language Support via gettext
NOTIFY_DESC?=		startup notification support
NTLM_DESC?=		NTLM authentication support
NUMPY_DESC?=		NumPy support
ODBC_DESC?=		ODBC backend
ODF_DESC?=		ODF support
OPENAL_DESC?=		OpenAL support
OPENCV_DESC?=		OpenCV support
OPENEXR_DESC?=		HDR support via OpenEXR
OPENGL_DESC?=		OpenGL support
OPENJPEG_DESC?=		Enhanced JPEG graphics support
OPENMP_DESC?=		parallel processing support
OPENSSL_DESC?=		SSL/TLS support via OpenSSL
OPTIMIZED_CFLAGS_DESC?=	compilation optimizations
ORACLE_DESC?=		Oracle support
ORACLE_JDBC_DESC?=	JDBC connection to Oracle databases
OSD_DESC?=		On-Screen-Display support
OSS_DESC?=		Open Sound System support
PAM_DESC?=		PAM support
PANGO_DESC?=		Pango rendering library support
PCRE_DESC?=		Use Perl Compatible Regular Expressions
PDF_DESC?=		PDF support
PERL_DESC?=		Perl scripting language support
PGO_DESC?=		Profile-Guided Optimization
PGSQL_DESC?=		PostgreSQL backend
PGSQL_JDBC_DESC?=	JDBC connection to PostgreSQL databases
PHP_DESC?=		PHP binding/support
PIXBUF_DESC?=		gdk-pixbuf support
PNG_DESC?=		PNG support
POPPLER_DESC?=		PDF and PS support
PORTAUDIO_DESC?=	PortAudio support
POSTGIS_DESC?=		postgis support
PRINT_DESC?=		Printer support
PROFILE_DESC?=		Profiling library support
PROJ_DESC?=		PROJ.4 support 
PROXY_DESC?=		Proxy support
PTH_DESC?=		Use GNU Pth for threading/multiprocessing
PULSEAUDIO_DESC?=	Support PulseAudio sound server
PYMALLOC_DESC?=		python's internal malloc
PYTHON_DESC?=		Python binding/support
QUICKTIME_DESC?=	QuickTime support
QT4_DESC?=		Qt4 gui toolkit support
RADIUS_DESC?=		RADIUS support
RAW_DESC?=		RAW support
RESIN3_DESC?=		Resin 3.x support
RTMP_DESC?=		RTMP support via librtmp
RUBY_DESC?=		Ruby binding/support
SAMPLERATE_DESC?=	Support sample rate conversion
SASL_DESC?=		SASL support
SCHROEDINGER_DESC?=	Dirac support using libschroedinger
SCIPY_DESC?=		SciPy support
SDL_DESC?=		Simple Direct Madia Layer support
SEM_DESC?=		POSIX semaphores support
SHOUTCAST_DESC?=	Ogg Icecast and SHOUTcast support
SIMD_DESC?=		Use cpu-specific optimizations if possible
SMB_DESC?=		SMB protocol support
SNAPPY_DESC?=		Snappy support
SNDFILE_DESC?=		libsndfile support
SNMP_DESC?=		SNMP support
SPANDSP_DESC?=		Spandsp faxing support
SPEEX_DESC?=		Speex audio format support
SQL_DESC?=		SQL database backend
SQLITE_DESC?=		SQLite backend
SSE_DESC?=		SSE optimized routines
SSH_DESC?=		SSH support
SSL_DESC?=		SSL support
STATIC_DESC?=		Build static executable/libraries
SVG_DESC?=		SVG image support
SVGALIB_DESC?=		SVGA graphics support
SVN_DESC?=		Subversion support
SZIP_DESC?=		Szip support
TCL_DESC?=		Tcl scripting language support
TCLTK_DESC?=		Tcl/Tk support
THEORA_DESC?=		Ogg Theora support
THREADS_DESC?=		Threading support
TIDY_DESC?=		tidy html cleaner support
TIFF_DESC?=		TIFF support
TINYXML_DESC?=		XML Parser support via TinyXML
TK_DESC?=		Tk toolkit support
TLS_DESC?=		TLS support
TOMCAT5_DESC?=		Tomcat 5.x support
TOMCAT6_DESC?=		Tomcat 6.x support
TOMCAT7_DESC?=		Tomcat 7.x support
TREMOR_DESC?=		Support Tremor
UCS2_DESC?=		Unicode UCS-2 support
UCS4_DESC?=		Unicode UCS-4 support
UNIXODBC_DESC?=		ODBC backend via unixODBC
UNZIP_DESC?=		UnZip support
UPNP_DESC?=		UPnP support
UTF8_DESC?=		UTF-8 support
VAAPI_DESC?=		VAAPI support
VDPAU_DESC?=		VDPAU support
VO_AACENC_DESC?=	AAC audio encoding using vo-aacenc
VO_AMRWBENC_DESC?=	AMR Wide Band encoding using vo-amrwbenc
VORBIS_DESC?=		Ogg Vorbis support
VPX_DESC?=		VP8 video codec
WAV_DESC?=		Support WAV audio format
WAVPACK_DESC?=		WavPack support
WEBP_DESC?=		WebP support
WEBSERVER_DESC?=	Build Internal Webserver
WMF_DESC?=		Windows Metafile support
WXGTK_DESC?=		WxGTK gui toolkit
X11_DESC?=		X11 support
X264_DESC?=		H264 video codec using x264
XALAN_DESC?=		Xalan support
XCURSOR_DESC?=		Cursor themes support
XERCES_DESC?=		Xerces support
XFT_DESC?=		Xft support
XINERAMA_DESC?=		X11 Xinerama Extension support
XKLAVIER_DESC?=		Keyboard layout settings
XML_DESC?=		XML Parser support
XPM_DESC?=		XPM pixmaps support
XRANDR_DESC?=		Xrandr support
XSPF_DESC?=		XSPF support
XVID_DESC?=		xvid mpeg4 video codec
XVIDEO_DESC?=		X Video Extension library
XVMC_DESC?=		XvMC support
YAML_DESC?=		YAML support
ZLIB_DESC?=		ZLIB support
