--- ./sal/osl/unx/interlck.c.orig	2012-07-27 08:37:04.000000000 -0400
+++ ./sal/osl/unx/interlck.c	2012-08-20 13:44:30.000000000 -0400
@@ -49,10 +49,9 @@
 {
     // Fast case for old, slow, single CPU Intel machines for whom
     // interlocking is a performance nightmare.
-    register oslInterlockedCount nCount asm("%eax");
-    nCount = 1;
-
     if ( osl_isSingleCPU ) {
+	register oslInterlockedCount nCount asm("%eax");
+	nCount = 1;
         __asm__ __volatile__ (
             "xaddl %0, %1\n\t"
         :   "+r" (nCount), "+m" (*pCount)
@@ -60,7 +59,7 @@
         :   "memory");
         return ++nCount;
     }
-#if ( __GNUC__ > 4 ) || (( __GNUC__ == 4)  && ( __GNUC_MINOR__ >= 4 ))
+#if defined( HAVE_GCC_BUILTIN_ATOMIC )
     else
         return __sync_add_and_fetch (pCount, 1);
 #else
@@ -78,10 +77,9 @@
 
 oslInterlockedCount SAL_CALL osl_decrementInterlockedCount(oslInterlockedCount* pCount)
 {
-    register oslInterlockedCount nCount asm("%eax");
-    nCount = -1;
-
     if ( osl_isSingleCPU ) {
+	register oslInterlockedCount nCount asm("%eax");
+	nCount = -1;
         __asm__ __volatile__ (
             "xaddl %0, %1\n\t"
         :   "+r" (nCount), "+m" (*pCount)
@@ -89,7 +87,7 @@
         :   "memory");
         return --nCount;
     }
-#if ( __GNUC__ > 4 ) || (( __GNUC__ == 4)  && ( __GNUC_MINOR__ >= 4 ))
+#if defined( HAVE_GCC_BUILTIN_ATOMIC )
     else
         return __sync_sub_and_fetch (pCount, 1);
 #else
@@ -104,7 +102,7 @@
     return --nCount;
 #endif
 }
-#elif ( __GNUC__ > 4 ) || (( __GNUC__ == 4) && ( __GNUC_MINOR__ >= 4 ))
+#elif defined( HAVE_GCC_BUILTIN_ATOMIC )
 oslInterlockedCount SAL_CALL osl_incrementInterlockedCount(oslInterlockedCount* pCount)
 {
     return __sync_add_and_fetch(pCount, 1);
