--- src/libcmis/atom-document.cxx.orig	2012-06-08 07:43:05.000000000 -0400
+++ src/libcmis/atom-document.cxx	2012-08-03 16:51:01.000000000 -0400
@@ -129,15 +129,22 @@
 vector< string > AtomDocument::getPaths( )
 {
     vector< string > paths;
-    vector< libcmis::FolderPtr > parents = getParents( );
-    for ( vector< libcmis::FolderPtr >::iterator it = parents.begin( );
-         it != parents.end(); ++it )
+    try
+    {
+        vector< libcmis::FolderPtr > parents = getParents( );
+        for ( vector< libcmis::FolderPtr >::iterator it = parents.begin( );
+             it != parents.end(); ++it )
+        {
+            string path = ( *it )->getPath( );
+            if ( path[path.size() - 1] != '/' )
+                path += "/";
+            path += getName( );
+            paths.push_back( path );
+        }
+    }
+    catch ( const libcmis::Exception& )
     {
-        string path = ( *it )->getPath( );
-        if ( path[path.size() - 1] != '/' )
-            path += "/";
-        path += getName( );
-        paths.push_back( path );
+        // We may not have the permission to get the parents
     }
     return paths;
 }
